Bug 1315778 - (CVE-2016-1966) CVE-2016-1966 Mozilla: Memory corruption with malicious NPAPI plugin (MFSA 2016-31)
CVE-2016-1966 Mozilla: Memory corruption with malicious NPAPI plugin (MFSA 20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160308,repo...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 10:13 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-28 01:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 01:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 10:13:07 EST
The Communications Electronics Security Group (UK) of the GCHQ reported a dangling pointer dereference within the Netscape Plugin Application Programming Interface (NPAPI) that could lead to the NPAPI subsystem crashing. This issue requires a maliciously crafted NPAPI plugin in concert with scripted web content, resulting in a potentially exploitable crash when triggered. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-31.html


Acknowledgements:

Name: the Mozilla project
Upstream: the Communications Electronics Security Group (UK) of the GCHQ
Comment 1 errata-xmlrpc 2016-03-09 00:12:47 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0373 https://rhn.redhat.com/errata/RHSA-2016-0373.html
Comment 2 errata-xmlrpc 2016-03-16 13:37:34 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0460 https://rhn.redhat.com/errata/RHSA-2016-0460.html

Note You need to log in before you can comment on or make changes to this bug.